Bug 1900008 - Fix internationalized sentence fragments in ImageSearch.tsx
Summary: Fix internationalized sentence fragments in ImageSearch.tsx
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Management Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.7.0
Assignee: Yadan Pei
QA Contact: Yadan Pei
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-11-20 15:23 UTC by ralpert
Modified: 2021-02-24 15:35 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:35:07 UTC
Target Upstream Version:


Attachments (Terms of Use)
Deploy Image - pseudolocalized (332.00 KB, image/png)
2020-11-25 03:34 UTC, Yadan Pei
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7284 0 None closed Bug 1900008: Fix i18n sentence fragment 2021-01-14 04:42:42 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:35:33 UTC

Description ralpert 2020-11-20 15:23:38 UTC
Description of problem:
Translation came back to us with questions about an internationalized sentence fragment "with your image registry credentials." in Developer console. I looked for it and found it in packages/dev-console/src/components/import/image-search/ImageSearch.tsx. We should be using the <Trans> component there instead of breaking the sentence up into fragments.

Version-Release number of selected component (if applicable):
4.7

How reproducible:
Always

Actual results:
Sentence is broken into fragments that are hard to translate.

Expected results:
It should be a complete sentence wrapped by the Trans component.

Comment 2 Yadan Pei 2020-11-25 03:34:53 UTC
Created attachment 1733248 [details]
Deploy Image - pseudolocalized

Visit <console_route>/deploy-image/ns/openshift-console?pseudolocalization=true&lng=en, we can see the sentence `To deploy an image from a private repository, you must create an image pull secret with your image registry credentials.` is presudolocalized 

Verified on 4.7.0-0.nightly-2020-11-24-151855

Comment 5 errata-xmlrpc 2021-02-24 15:35:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.